<%- include('partials/header.ejs') %>
<link
    href="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap4-toggle@3.6.1/css/bootstrap4-toggle.min.css"
    rel="stylesheet"
/>

<!-- content start -->
<div class="main">
    <div class="d-flex head">
        <h2 class="heading">Edit Doctor :-</h2>
    </div>
    <div class="content">
        <form id="form">
            <div class="row">
                <div class="col-12 col-lg-6 mb-3">
                    <label>Doctor Name : -</label>
                    <input
                        type="name"
                        class="form-control"
                        id="name"
                        name="name"
                        placeholder="Enter Doctor Name"
                        value="<%= doctor.name %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Select Category: -</label>
                    <select
                        class="form-control"
                        id="select_category"
                        name="category_id"
                    >
                        <option value="" disabled selected>
                            Select Category
                        </option>
                        <% categories.forEach(function(element) { %> <%
                        if(element._id == doctor.category_id){ %>
                        <option value="<%= element._id %>" selected>
                            <%= element.name %>
                        </option>
                        <% } else{ %>
                        <option value="<%= element._id %>">
                            <%= element.name %>
                        </option>
                        <% } %> <% }); %>
                    </select>
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Email: -</label>
                    <input
                        type="email"
                        class="form-control"
                        id="email"
                        name="email"
                        placeholder="Enter Email (optional)"
                        value="<%= doctor.email %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Mobile Number: -</label>
                    <input
                        type="number"
                        class="form-control"
                        id="mobile_number"
                        name="mobile_number"
                        placeholder="Enter Mobile Number"
                        value="<%= doctor.mobile_number %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label>Experience: -</label>
                    <input
                        type="name"
                        class="form-control"
                        id="experience"
                        name="experience"
                        placeholder="Enter Experience"
                        value="<%= doctor.experience %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Consultation Charges: -</label>
                    <input
                        type="name"
                        class="form-control"
                        id="consultation_charge"
                        name="consultation_charge"
                        placeholder="Enter Consultation Charge"
                        value="<%= doctor.consultation_charge %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Open Time: -</label>
                    <input
                        type="name"
                        class="form-control"
                        id="open_time"
                        name="open_time"
                        placeholder="Enter Open Time"
                        value="<%= doctor.open_time %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Close Time: -</label>
                    <input
                        type="name"
                        class="form-control"
                        id="close_time"
                        name="close_time"
                        placeholder="Enter Close Time"
                        value="<%= doctor.close_time %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Location: -</label>
                    <input
                        type="text"
                        class="form-control"
                        id="location"
                        name="location"
                        placeholder="Enter Location"
                        value="<%= doctor.location %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Language: -</label>
                    <input
                        type="text"
                        class="form-control"
                        id="language"
                        name="language"
                        placeholder="Enter Language"
                        value="<%= doctor.language %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Experties: -</label>
                    <input
                        type="text"
                        class="form-control"
                        id="experties"
                        name="experties"
                        placeholder="Enter Experties"
                        value="<%= doctor.experties %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Account Holder: -</label>
                    <input
                        type="text"
                        class="form-control"
                        id="account_holder"
                        name="account_holder"
                        placeholder="Enter Account Holder"
                        value="<%= doctor.account_holder %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Account Number: -</label>
                    <input
                        type="text"
                        class="form-control"
                        id="account_number"
                        name="account_number"
                        placeholder="Enter Account Number"
                        value="<%= doctor.account_number %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> Bank Name: -</label>
                    <input
                        type="text"
                        class="form-control"
                        id="bank_name"
                        name="bank_name"
                        placeholder="Enter Bank Name"
                        value="<%= doctor.bank_name %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> IFSC: -</label>
                    <input
                        type="text"
                        class="form-control"
                        id="ifsc"
                        name="ifsc"
                        placeholder="Enter Bank IFSC Code"
                        value="<%= doctor.ifsc %>"
                    />
                </div>
                <div class="col-12 col-lg-6 mb-3">
                    <label> UPI: -</label>
                    <input
                        type="text"
                        class="form-control"
                        id="upi"
                        name="upi"
                        placeholder="Enter UPI Address"
                        value="<%= doctor.upi %>"
                    />
                </div>
                <div class="col-12 col-lg-12 mb-3">
                    <button type="submit" class="btn btn-info mt-3 pull-right">
                        Save
                    </button>
                </div>
            </div>
        </form>
    </div>
    <div>
        <%- include ('partials/footer.ejs') %>
        <script>
            activeSideBar("add-doctor");
            $("#home_expand").text("expand_more");
            $("#home_submenu").show();

            const form = $("form");

            form.on("submit", submitHandler);

            function submitHandler(e) {
                e.preventDefault();

                // PREPARE FORM DATA
                // var formData = {
                //     newpassword: form.serializeArray()[0].value
                // };

                var formData = getFormData($("#form"));
                formData.id = getUrlParameter("id");
                formData = JSON.stringify(formData);

                // DO POST
                $.ajax({
                    type: "POST",
                    contentType: "application/json",
                    url: "edit",
                    data: formData,
                })
                    .done((res) => {
                        Snackbar.show({
                            text: res,
                            pos: "bottom-right",
                            customClass: "snackbar-custom-s",
                            showAction: false,
                        });
                        window.location.replace("list");
                    })
                    .fail(function (xhr, status, error) {
                        Snackbar.show({
                            text: xhr.responseText,
                            pos: "bottom-right",
                            customClass: "snackbar-custom-d",
                            showAction: false,
                        });
                    });
            }

            $(document).ready(function () {
                $("#open_time").mdtimepicker();
                $("#close_time").mdtimepicker();
            });

            $("#cp").change(function () {
                if (!$("#cp").is(":checked")) {
                    $("#cpv").empty();
                } else {
                    $("#cpv").html(
                        '<input type="password" class="form-control" id="password" name="password" placeholder="Enter Password">'
                    );
                }
            });
        </script>
        <script src="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap4-toggle@3.6.1/js/bootstrap4-toggle.min.js"></script>
    </div>
</div>
